import { Endpoint, IEndpointArgs } from '../common/endpoint';
export interface IConfigEndpointArgs extends IEndpointArgs {
    languageId: number;
    versionId: string;
}
export declare class Config extends Endpoint {
    private cache;
    private readonly languageId;
    private readonly versionId;
    /**
     * C-tor
     * @param {Object} args
     * @param {String} args.apiUrl - Full URL to the api end-point.
     */
    constructor(args: IConfigEndpointArgs);
    /**
     * Get app configurations
     * @returns {Promise}
     */
    getAppConfiguration(): Promise<any>;
    /**
     * Get system version
     *
     * @returns {Promise}
     */
    getSystemVersion(): Promise<any>;
    /**
     * Get app labels
     * @returns {Promise}
     */
    getAppLabels(): Promise<any>;
}
declare module '../connector' {
    interface Connector {
        config: Config;
    }
}
