import { Endpoint, IEndpointArgs } from '../common/endpoint';
import { Member as MemberModel } from '../model/member';
export interface IMemberEndpointArgs extends IEndpointArgs {
    loggedInMemberId: number;
}
export declare class Member extends Endpoint {
    protected loggedInMemberId: number;
    /**
     * C-tor
     * @param {Object} args
     * @param {String} args.apiUrl - Full URL to the api end-point.
     */
    constructor(args: IMemberEndpointArgs);
    /**
     * Returns a promise that resolves to a member model
     * @param args
     * @returns {Promise.<MemberModel>}
     */
    getMemberById(args: {
        id: number;
    }): Promise<MemberModel>;
    /**
     * Returns a promise that resolves to the member model of the currently logged in member
     * @returns {Promise.<MemberModel>}
     */
    getMemberLoggedIn(): Promise<MemberModel>;
    /**
     *
     * @param {Object} args
     * @param {Object} args.member
     * @param {Number} args.languageId
     * @returns {Promise}
     */
    changeLanguage(args: {
        member: any;
        languageId: number;
    }): Promise<any>;
}
declare module '../connector' {
    interface Connector {
        member: Member;
    }
}
