import { Observable } from 'rxjs';
import { Endpoint, IEndpointArgs } from "../common/endpoint";
import { AssetNotification, Notification } from "../model/notification/notification";
export interface INotificationEndpointArgs extends IEndpointArgs {
    pushNotificationUrl: string;
}
export declare class Notifications extends Endpoint {
    private static multiplexNotification;
    readonly pushNotificationHub: Observable<Notification>;
    readonly assetPushNotification: Observable<AssetNotification>;
    private readonly pushNotifications;
    /**
     * C-tor
     * @param {Object} args
     * @param {string} args.computerName
     */
    constructor(args: INotificationEndpointArgs);
}
declare module '../connector' {
    interface Connector {
        notifications: Notifications;
    }
}
