import { Model } from '../common/model';
export interface IAssetArgs {
    id?: number;
    name?: string;
    description?: string;
    type?: number;
    thumbnail?: string;
}
export interface ITranscode {
    mediaFormatId: string;
    mediaTranscodeDestinationId: string;
}
export declare function CreateAssetFromApiResponse(thisAsset: any): Asset;
export declare class Asset extends Model {
    id: number | undefined;
    thumbnail: string | undefined;
    type: number | undefined;
    name: string | undefined;
    description: string | undefined;
    date: Date | undefined;
    publishedDate: Date | null;
    lastEditedDate: Date | null;
    transcodes: ITranscode[];
    private sourceLocation;
    private assetId__DO_NOT_USE_THIS_OR_KITTENS_WILL_DIE;
    private fileExtension;
    private lastPublishedDate;
    /**
     * C-tor
     * @param args
     */
    constructor(args: IAssetArgs);
    static get DATETIME_FORMAT(): string;
    static get DATETIMETZ_FORMAT(): string;
    /**
     * Populates an asset from with the API values
     * @param args
     */
    setValueFromAPI(args: any): void;
    setValueFromOtherAsset(otherAsset: Asset): void;
    IAgreeWithKittensBeingDeadSoThatICanUseAssetId(): number | null;
    /**
     *
     * @param mediaFormatId
     * @returns {*|T}
     */
    getTranscodeForMediaFormat(mediaFormatId: number): ITranscode | undefined;
    /**
     * Returns the extension of the source location of the asset
     * @returns {string}
     */
    getFileExtension(): string;
}
