import { Model } from '../common/model';
export interface IAssetVersionArgs {
    id?: number;
    type?: number;
    versionId?: number;
    thumbnail?: string;
    sourceLocation?: string;
    isCurrentVersion?: string | boolean;
}
export declare function CreateAssetVersionFromApiResponse(thisVersionAsset: any): AssetVersion;
export declare class AssetVersion extends Model {
    isCurrentVersion: boolean;
    sourceLocation: string | undefined;
    thumbnail: string | undefined;
    versionId: number | undefined;
    id: number | undefined;
    type: number | undefined;
    private assetId__DO_NOT_USE_THIS_OR_KITTENS_WILL_DIE;
    /**
     * C-tor
     * @param args
     */
    constructor(args: IAssetVersionArgs);
    /**
     * Populates an asset from with the API values
     * @param args
     */
    setValueFromAPI(args: any): void;
    IAgreeWithKittensBeingDeadSoThatICanUseAssetId(): number | undefined;
    /**
     * Returns the filename from source
     * @returns {string}
     */
    getFilename(): string;
    /**
     * Returns source location
     * @returns {*}
     */
    getSourceLocation(): string | undefined;
}
