import { Model } from '../common/model';
export interface IMemberArgs {
    id: number;
    username?: string;
    firstname?: string;
    lastname?: string;
    roles?: string[];
    itemId?: number;
}
export declare class Member extends Model {
    private id;
    private username;
    private firstname;
    private lastname;
    private roles;
    private itemId__DO_NOT_USE_THIS_OR_KITTENS_WILL_DIE?;
    /**
     * C-tor
     * @param args
     */
    constructor(args: IMemberArgs);
    /**
     * Sets values from API
     * @param args
     */
    setValueFromAPI(args: any): void;
    /**
     * Checks if the member has a specified role
     * @param {String} role
     */
    hasRole(role?: string): boolean;
}
