export interface IMetadataItemArgs<T> {
    guid?: string;
    name?: string;
    labelId?: number;
    required?: string | number | boolean;
    value?: T;
}
export interface ISetValueFromApiArgs {
    metafieldid: {
        metafieldItemGuid: string;
        metafieldName: string;
        metafieldIsRequired: string;
    };
    metafieldLabelId: string;
    item_metafield_valueid?: any[];
}
export declare abstract class MetadataItem<T> {
    protected value?: T;
    guid?: string;
    name?: string;
    labelId?: number;
    required?: boolean;
    get TYPE(): number;
    get VALUE_TYPE(): number;
    /**
     *
     * @param args
     */
    constructor(args: IMetadataItemArgs<T>);
    /**
     *
     * @param args
     */
    setValueFromAPI(args: ISetValueFromApiArgs): void;
    /**
     * Clears a value
     */
    abstract clearValue(): void;
    /**
     * Sets a value
     * @param value
     */
    setValue(value: T): void;
    /**
     * Returns the value of the item
     * @returns {*}
     */
    getValue(): T | undefined;
    /**
     * Returns the batch value of the item
     * @returns {*}
     */
    getUpdateValue(): any;
}
