import { ISetValueFromApiArgs, MetadataItem } from './metadataItem';
import { TreeOption } from './treeOption';
export declare class TreeMetadataItem extends MetadataItem<TreeOption[]> {
    static get TYPE(): number;
    static get VALUE_TYPE(): number;
    get TYPE(): number;
    get VALUE_TYPE(): number;
    /**
     * Set values from the API
     * @param args
     */
    setValueFromAPI(args: ISetValueFromApiArgs): void;
    /**
     * Append a value to the tree
     * @param treeOption
     */
    appendOption(treeOption: TreeOption): void;
    /**
     * Appends a series of values to the tree
     * @param treeOptions
     */
    appendOptions(treeOptions: TreeOption[]): void;
    /**
     * Set Values
     * @param treeOptions
     */
    setValue(treeOptions: TreeOption[]): void;
    /**
     * Remove a combo option
     * @param treeOption
     */
    removeOption(treeOption: TreeOption): void;
    /**
     * Remove a combo option
     * @param treeOptions
     */
    removeOptions(treeOptions: TreeOption): void;
    /**
     * Clear value
     */
    clearValue(): void;
    /**
     * Get batch value
     * @returns {Array}
     */
    getUpdateValue(): (number | undefined)[];
}
