import { DigiUploadFile } from "../../utilities/digiUploader/IDigiUploader";
export interface IUploadTicketArgs {
    itemId: number;
    uploadId: number;
    file?: DigiUploadFile;
}
export declare class UploadTicket {
    itemId: number;
    uploadId: number;
    file?: DigiUploadFile;
    onProgress: () => void;
    private progChainId;
    private extraJobParams;
    /**
     * C-tor
     * @param args
     */
    constructor(args: IUploadTicketArgs);
    /**
     * Extends a job
     * @param {String} progChainId
     * @param {Object} extraJobParams
     */
    extendJob(progChainId: string, extraJobParams: any): void;
    /**
     * Checks is the ticket is an extended job
     * @returns {boolean}
     */
    isExtendedJob(): boolean;
    /**
     * Gets parameters for the extra job
     * @returns {{progChainId: (String), extraJobParams: (String)}}
     */
    getExtendedJobParameters(): {
        extraJobParams: string;
        progChainId: string | null;
    };
}
