import { BaseRequest } from '../../common/request';
import { UpdateContainer } from '../../utilities/updateContainer';
export declare class BatchUpdate extends BaseRequest<any, any> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        useMetadataVersionedAccess: number;
        updateXML: string;
        values: never[];
    };
    /**
     * Execute the request
     * @param {Object} payload
     * @returns {Promise}
     */
    execute(payload: {
        containers: UpdateContainer[];
    }): Promise<any>;
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: {
        containers?: UpdateContainer[];
        updateXML?: string;
        values?: string;
    }): {
        containers?: UpdateContainer[] | undefined;
        updateXML?: string | undefined;
        values?: string | undefined;
    };
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): any;
}
