import { BaseRequest } from '../../common/request';
export interface IUserData {
    memberId: number;
    languageId: number;
    itemid: number;
    accessKey: string;
}
export interface ICreateAccessKeyArgs {
    username: string;
    password: string;
}
export declare class CreateAccessKey extends BaseRequest<ICreateAccessKeyArgs, IUserData> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     * default parameters for the call
     * @returns {{method: string, usertype: number, page: number, limit: number, username: null, password: null}}
     */
    get defaultPayload(): {
        method: string;
        usertype: number;
        useversionedmetadata: number;
        page: number;
        limit: number;
        username: string;
        password: string;
    };
    /**
     * Process login request
     * @param {Object} payload
     * @returns {Object}
     */
    processRequestData(payload: any): ICreateAccessKeyArgs;
    /**
     * Process response
     * @param response
     */
    processResponseData(response: any): any;
}
