import { BaseRequest } from '../../common/request';
export interface IAccessKeyData {
    memberId: number;
    languageId: number;
    accessKey: string;
}
export declare class SetAccessKeyOptions extends BaseRequest<any, IAccessKeyData> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     * default parameters for the call
     * @returns {{method: string, usertype: number, page: number, limit: number, username: null, password: null}}
     */
    get defaultPayload(): {
        method: string;
        options: null;
        accesskey: null;
    };
    /**
     * Process login request
     * @param {Object} payload
     * @returns {Object}
     */
    processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    processResponseData(response: any): any;
}
