import { BaseRequest } from '../../common/request';
export interface IMetadataItemsPayload {
    id?: string | any;
    language?: string | any;
    assetId?: string | any;
    searchName?: string;
    limit?: number;
    page?: number;
    itemid_note_type_MultiIds?: number;
    itemid_value_type_MultiIds?: number;
    rowid_note?: number;
    rowid_value?: number;
    itemid_note?: string | null;
    itemid_value?: string | null;
    metafieldgroupid?: string | null;
    accesskeylanguage?: string | null;
}
export interface IMetadataItemsResponse {
    result: any[];
}
export declare class MetadataItems extends BaseRequest<any, any> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): IMetadataItemsPayload;
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: IMetadataItemsPayload): IMetadataItemsPayload;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): any;
    /**
     * Transforms the API response in an instance of a metadata type
     * @param thisItem
     * @private
     */
    private _createMetadataItem;
}
