import { BaseRequest } from '../../common/request';
export declare class TreeOptions extends BaseRequest<any, any> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     * Default payload
     * @returns {Object}
     */
    get defaultPayload(): {
        searchName: string;
        page: number;
        limit: number;
        sfMetafieldLabelId: null;
        node: number;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): {
        navigation: {
            total: number;
        };
        options: any;
    };
}
