import { BaseRequest } from '../../common/request';
import { Asset } from '../../model/asset';
export interface IAssetUploadedInformationArgs {
    assets: Asset[];
}
export declare class AssetUploadedInformation extends BaseRequest<IAssetUploadedInformationArgs, Asset[]> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        SearchName: string;
        assetItemid: never[];
        assetItemid_type_multiids: string;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): Asset[];
}
