import { BaseRequest, IBaseRequestArgs } from '../../common/request';
import { Asset } from '../../model/asset';
export interface IAssetRequestArgs extends IBaseRequestArgs {
    sLayoutFolderId?: string;
    filters?: object;
    sortTypes?: any[];
    defaultSortType?: string;
}
export declare class Assets extends BaseRequest<any, Asset[]> {
    private sLayoutFolderId?;
    private filters?;
    private sortTypes?;
    private defaultSortType?;
    constructor(args: IAssetRequestArgs);
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        SearchName: string;
        limit: number;
        page: number;
        sAssetItemId: null;
        sAssetItemId_type_multiids: number;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    processResponseData(response: any): any;
}
