import { BaseRequest, IBaseRequestArgs } from '../../common/request';
export interface IFiltersRequestArgs extends IBaseRequestArgs {
    labels: any;
}
export declare class Filters extends BaseRequest<any, any> {
    private labels;
    /**
     * C-tor
     * @param {Object} args
     * @param {String} args.apiUrl - Full URL to the api end-point.
     * @param {Object} args.labels - An object of labels
     */
    constructor(args: IFiltersRequestArgs);
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     * default params
     * @returns {Object}
     */
    get defaultPayload(): {
        method: string;
        searchName: null;
    };
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): any;
    /**
     * Nice-ify the result
     * @param thisFilter
     * @returns {{id: string, name: string, type: string}}
     * @private
     */
    protected _processFilterResult(thisFilter: any): {
        id: any;
        name: any;
        type: any;
    };
}
