import { BaseRequest, IBaseRequestArgs } from '../../common/request';
export interface IFrameworkSearchArgs extends IBaseRequestArgs {
    sLayoutFolderId?: string;
    filters?: any;
    sortTypes?: any;
    defaultSortType?: any;
}
export declare class FrameworkSearch extends BaseRequest<any, any> {
    private sLayoutFolderId?;
    private filters?;
    private sortTypes?;
    private defaultSortType?;
    /**
     * C-tor
     * @param {Object} args
     * @param {String} args.apiUrl - Full URL to the api end-point.
     * @param {String} args.sLayoutFolderId - An object of labels
     * @param {Object} args.filters - An object of labels
     * @param {Object} args.sortTypes - An object of labels
     * @param {String} args.defaultSortType - An object of labels
     */
    constructor(args: IFrameworkSearchArgs);
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        SearchName: string;
        limit: number;
        page: number;
        sLayoutFolderId: null;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): {
        assets: any;
        facetResult: any;
        navigation: {
            total: number;
        };
    };
}
