import { BaseRequest } from '../../common/request';
import { Member as MemberModel } from '../../model/member';
export declare class Member extends BaseRequest<any, any> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     * default params
     * @returns {Object}
     */
    get defaultPayload(): {
        limit: number;
        memberid: null;
        page: number;
        searchName: string;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): MemberModel;
}
