import { Asset } from 'src/model/asset';
import { BaseRequest } from '../../common/request';
export interface PublishStatusResponse {
    id: number;
    published: boolean;
}
export interface IPublishStatusArgs {
    assets: Asset[];
}
export declare class PublishStatus extends BaseRequest<IPublishStatusArgs, PublishStatusResponse[]> {
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        SearchName: string;
        assetItemid: null;
        assetItemid_type_multiids: number;
        limit: number;
        page: number;
    };
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     * @param response
     */
    protected processResponseData(response: any): any;
}
