import { BaseRequest } from '../../common/request';
import { UploadTicket } from '../../model/ticket/uploadTicket';
export declare class UploadFileChunk extends BaseRequest<any, any> {
    static get CHUNK_SIZE(): number;
    static get MAX_UPLOAD_CHUNK_RETRIES(): number;
    /**
     * Endpoint URL
     * @returns {string}
     */
    get endpointUrl(): string;
    /**
     *
     * @returns {Object}
     */
    get defaultPayload(): {
        jsonresponse: number;
        itemid: null;
        finished: null;
    };
    /**
     * Upload a file
     * @param {UploadTicket} ticket
     */
    uploadFile(ticket: UploadTicket): Promise<void>;
    /**
     * Execute!
     * @param payload
     * @param blob
     * @param {Function} onProgress
     * @returns {Promise}
     */
    execute(payload?: {}, blob?: any, onProgress?: any): Promise<unknown>;
    /**
     * Pass-through
     * @param {Object} payload
     * @returns {Object}
     */
    protected processRequestData(payload: any): any;
    /**
     * Process response
     */
    protected processResponseData(): {};
    /**
     * On progress
     * @param args
     * @param e
     */
    private _onUploadProgress;
    /**
     *
     * @param args
     */
    private _uploadChunk;
}
