import { ReplaceTicket } from "../../model/ticket/replaceTicket";
import { RestoreTicket } from "../../model/ticket/restoreTicket";
import { UploadTicket } from "../../model/ticket/uploadTicket";
import { BaseDigiUploader, IBaseDigiUploaderArgs } from "./baseDigiUploader";
import { IDigiUploader, IDigiUploaderGetUploadIdsArgs } from "./IDigiUploader";
export interface IDigiUploaderArgs extends IBaseDigiUploaderArgs {
    computerName: string;
}
export declare class DigiUploader extends BaseDigiUploader implements IDigiUploader {
    private readonly computerName;
    /**
     * C-tor
     * @param {Object} args
     * @param {string} args.computerName
     */
    constructor(args: IDigiUploaderArgs);
    /**
     * Get upload ids
     * @param args
     */
    getUploadIds(args: IDigiUploaderGetUploadIdsArgs): Promise<{
        itemId: number;
        uploadId: number;
    }>;
    /**
     * Finish upload
     * @param ticket
     */
    finishUpload(ticket: UploadTicket | ReplaceTicket | RestoreTicket): Promise<void>;
    /**
     * Replace an asset
     * @param ticket
     * @private
     */
    private _finishRestoreTicket;
    /**
     * Replace an asset
     * @param ticket
     * @private
     */
    private _finishReplaceTicket;
    /**
     * Upload an asset
     * @param ticket
     * @private
     */
    private _finishUploadTicket;
}
