import { Asset } from "../../model/asset";
import { IQueuedAsset, WaitQueue } from "./waitQueue";
export interface IAssetPublishedQueueArgs {
    apiUrl: string;
    accessKey: string;
}
export declare class AssetPublishedQueue extends WaitQueue {
    private readonly assetPublishedRequest;
    private readonly assetsInformationRequest;
    constructor(args: IAssetPublishedQueueArgs);
    onAssetPublished(id: number): void;
    protected _fetchData(): Promise<Asset[]>;
    protected _resolveAssets(resolveMap: Map<number, IQueuedAsset>): void;
}
