import { Asset } from "../../model/asset";
export declare type ResolveFn = (asset: Asset) => void;
export interface IQueuedAsset {
    asset: Asset;
    resolve: ResolveFn;
}
export interface IWaitQueueArgs {
    timeout: number;
}
export declare abstract class WaitQueue {
    protected readonly queue: IQueuedAsset[];
    private readonly timeout;
    private nextTimeout;
    protected constructor(args: IWaitQueueArgs);
    insert(asset: Asset, resolve: ResolveFn): void;
    protected abstract _fetchData(): Promise<Asset[]>;
    protected abstract _resolveAssets(resolveMap: Map<number, IQueuedAsset>): void;
    protected _onAssetsDataReceived(assets: Asset[]): void;
    protected _doCheck(): void;
}
