export interface ILogLevels {
    Debug: number;
    Info: number;
    Warning: number;
    Error: number;
    Fatal: number;
    [key: string]: number;
}
export interface ILogLevelsInverse {
    10: string;
    20: string;
    30: string;
    40: string;
    50: string;
    [key: number]: string;
}
export declare class LoggerUtility {
    LogLevelInverse: ILogLevelsInverse;
    LogLevel: ILogLevels;
    /**
     * Class constructor
     */
    constructor();
    static get LogLevelEnums(): {
        Debug: number;
        Info: number;
        Warning: number;
        Error: number;
        Fatal: number;
    };
    /**
     *
     * @param level
     * @param message
     * @param context
     */
    log(level: number, message: string, context?: any): void;
    /**
     * Quick method for logging to debug level
     * @param message
     * @param context
     */
    debug(message: string, context?: any): void;
    /**
     * Quick method for logging to info level
     * @param message
     * @param context
     */
    info(message: string, context?: any): void;
    /**
     * Quick method to logging for warning level
     * @param message
     * @param context
     */
    warn(message: string, context?: any): void;
    /**
     * Quick method for logging to error level
     * @param message
     * @param context
     */
    error(message: string, context?: any): void;
    /**
     * Quick method for logging to fatal level
     * @param message
     * @param context
     */
    fatal(message: string, context?: any): void;
}
export declare const Logger: LoggerUtility;
export declare const LogInfo: (message: string, context?: any) => void;
export declare const LogDebug: (message: string, context?: any) => void;
export declare const LogWarn: (message: string, context?: any) => void;
export declare const LogError: (message: string, context?: any) => void;
export declare const LogFatal: (message: string, context?: any) => void;
