declare const path: any;
declare const webpack: any;
declare const UglifyJSPlugin: any;
declare const ENV_PRODUCTION = "prod";
declare const ENV_DEVELOPMENT = "dev";
/**
 * Get webpack configs
 * @param env
 * @returns {*}
 */
declare function getWebpackConfig(env: string): {
    entry: string;
    output: {
        path: any;
        filename: string;
        library: string;
        libraryTarget: string;
        umdNamedDefine: boolean;
        globalObject: string;
    };
    mode: string;
    externals: {
        'lodash-es': {
            commonjs: string;
            commonjs2: string;
            amd: string;
            root: string;
        };
    };
    resolve: {
        modules: string[];
        extensions: string[];
    };
    resolveLoader: {
        modules: string[];
    };
    module: {
        rules: {
            test: RegExp;
            exclude: RegExp;
            use: {
                loader: string;
            }[];
        }[];
    };
    plugins: any[];
    devtool: string;
};
